API referenceBills
Create Bill
POST /company/{id}/bills
POST
/company/{id}/billsPath Parameters
id*string
The company ID
Length
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/company/string/bills" \ -H "Content-Type: application/json" \ -d '{ "issueDate": "string", "lines": [ { "amount": "string", "currency": "str", "coaKey": "string" } ] }'{ "id": "string", "userId": "string", "vendorId": "string", "issueDate": "string", "dueDate": "string", "externalId": "string", "description": "string", "submittedAt": "string", "voidedAt": "string", "paidAt": "string", "status": "Deleted", "currentness": "Current", "amount": { "amount": "string", "currency": "str" }, "provider": "string", "documents": [ { "file": { "id": "string", "filename": "string", "contentType": "string", "size": 0, "isDeleted": true, "downloadInfo": { "signedUrl": "string", "urlExpiresAt": "string" }, "parseError": "string", "parseType": "bill" }, "uploadActorType": "SYSTEM_ACTOR" } ], "lines": [ { "id": "string", "classifications": [ { "class": "string", "description": "string", "segments": [ { "id": "string", "segment": "string", "description": "string" } ] } ], "amount": { "amount": "string", "currency": "str" }, "coaKey": "string", "quantity": "string", "unitPrice": "string", "description": "string" } ], "createdAt": "string", "updatedAt": "string", "removedAt": "string"}Schema refreshed 2026-11-11T18:57:48.657Z